<h2 mat-dialog-title>
  {{ "header.change-password" | translate }}
</h2>
<form #passwordForm="ngForm" (ngSubmit)="resetPassword()">
  <div mat-dialog-content class="mat-typography">
    <mat-form-field>
      <mat-label> {{ "header.old-password" | translate }}</mat-label>
      <input
        matInput
        id="passwordOld"
        name="passwordOld"
        type="password"
        required
        minlength="3"
        [(ngModel)]="passwords.passwordOld"
      />
    </mat-form-field>
    <mat-form-field>
      <mat-label> {{ "header.new-password" | translate }}</mat-label>
      <input
        matInput
        id="password"
        name="password"
        type="password"
        required
        minlength="3"
        [(ngModel)]="passwords.password"
      />
    </mat-form-field>
    <mat-form-field>
      <mat-label> {{ "header.confirm-new-password" | translate }}</mat-label>
      <input
        matInput
        id="passwordAgain"
        name="passwordAgain"
        type="password"
        required
        minlength="3"
        [(ngModel)]="passwords.passwordAgain"
      />
    </mat-form-field>
  </div>

  <div mat-dialog-actions class="space-around">
    <button
      mat-button
      color="primary"
      [mat-dialog-close]=""
      (click)="resetPassword()"
      cdkFocusInitial
      [disabled]="!passwordForm.valid"
    >
      {{ "general.save" | translate }}
    </button>
    <button mat-button mat-dialog-close>
      {{ "general.cancel" | translate }}
    </button>
  </div>
</form>
